package cz.moneta.test.dsl.finanso;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.harness.endpoints.finanso.FinansoEndpoint;
import cz.moneta.test.harness.support.web.Builders;

public class Finanso {
    private Harness harness;

    public Finanso(Harness harness) {
        this.harness = harness;
    }

    public FinansoHomePage openHomePage() {
        FinansoEndpoint endpoint = harness.getEndpoint(FinansoEndpoint.class);
        endpoint.openApplication();
        return Builders.newWebFlowBuilder(FinansoHomePage.class, endpoint, harness);
    }
}